## org.jfree.data.time
Class SimpleTimePeriod

    java.lang.Object
      org.jfree.data.time.SimpleTimePeriod

All Implemented Interfaces:
  java.io.Serializable, TimePeriod

public class SimpleTimePeriod
extends java.lang.Object
implements TimePeriod, java.io.Serializable

An arbitrary period of time, measured to millisecond precision using `java.util.Date`.

This class is intentionally immutable (that is, once constructed, you cannot alter the start and end attributes).

See Also:
  Serialized Form

Constructor Summary
`SimpleTimePeriod(java.util.Date start, java.util.Date end)` Creates a new time allocation.

Method Summary
`boolean` `equals(java.lang.Object obj)` Returns `true` if this time period is equal to another object, and `false` otherwise.
`java.util.Date` `getEnd()` Returns the end date/time.
`java.util.Date` `getStart()` Returns the start date/time.
`int` `hashCode()` Returns a hash code for this object instance.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleTimePeriod

    public SimpleTimePeriod(java.util.Date start,
                            java.util.Date end)

  Creates a new time allocation.

Parameters:
  `start` - the start date/time.
  `end` - the end date/time.

Method Detail

### getStart

    public java.util.Date getStart()

  Returns the start date/time.

  Specified by:
    `getStart` in interface `TimePeriod`
  Returns:
    the start date/time.

### getEnd

    public java.util.Date getEnd()

  Returns the end date/time.

  Specified by:
    `getEnd` in interface `TimePeriod`
  Returns:
    the end date/time.

### equals

    public boolean equals(java.lang.Object obj)

  Returns `true` if this time period is equal to another object, and `false` otherwise.

  The test for equality looks only at the start and end values for the time period.

  Parameters:
    `obj` - the other object.
  Returns:
    A boolean.

### hashCode

    public int hashCode()

  Returns a hash code for this object instance.

  The approach described by Joshua Bloch in "Effective Java" has been used here:

  `http://developer.java.sun.com/developer/Books/effectivejava/Chapter3.pdf`

  Returns:
    A hash code.